package net.knarcraft.minecraftserverlauncher.server.servertypes;

public class Paper extends Spigot {

    /**
     * Instantiates a new server type
     *
     * @param typeName        <p>The typeName of the server type</p>
     * @param isProxy         <p>Whether this server type is a proxy server</p>
     * @param versions        <p>A list of one or more server versions for the type</p>
     * @param downloadURL     <p>The URL used for downloading .jar files</p>
     * @param downloadURLPart <p>A string used after the download url as an additional part of the URL</p>
     */
    public Paper(String typeName, boolean isProxy, String[] versions, String downloadURL, String downloadURLPart) {
        super(typeName, isProxy, versions, downloadURL, downloadURLPart);
    }

}
