package net.knarcraft.minecraftserverlauncher.utility;

import net.knarcraft.minecraftserverlauncher.profile.Profile;
import org.junit.Test;

import java.io.FileNotFoundException;

import static net.knarcraft.minecraftserverlauncher.utility.CommonFunctions.stringBetween;
import static org.junit.Assert.assertEquals;

public class CommonFunctionsTest {

    @Test
    public void saveProfileTest() throws FileNotFoundException {
        Profile.addProfile("Test");
        Profile.getCurrent().save();
    }

    @Test
    public void stringBetweenTest() {
        String substring = stringBetween("fish'nchips", "f", "'");
        assertEquals("ish", substring);
        substring = stringBetween("something", "whale", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "so", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "asd", "ing");
        assertEquals("", substring);
    }
}
